#71 libmicrohttpd is back as a systemd dependency
Closed None Opened 5 years ago by mattdm.

This was gone from F20 (https://bugzilla.redhat.com/show_bug.cgi?id=908081) but is back now.

As noted in this bug, it is undesirable because libmicrohttpd pulls in gnutls (and nettle) , which is not otherwise on the base image. Reducing the number of crypto libraries there by default reduces the need to respin off-cycle security updates -- this is not an abstract concern.


I think the solution will be to subpackage systemd-journal-remote (as systemd-journal-gateway is).

https://bugzilla.redhat.com/show_bug.cgi?id=1114688

Closing this ticket as part of trac clean up process. If you want to reopen, please reopen it after we move to pagure.io as atomic-wg.

Login to comment on this ticket.

Metadata